Subject: Re: [PATCH v2 01/17] IB/Verbs: Implement new callback query_transport() for each HW

From: "ira.weiny" <[email-masked]>
Date: Fri, 10 Apr 2015 14:11:44 -0400

On Fri, Apr 10, 2015 at 01:49:32PM -0400, Doug Ledford wrote:
> On Fri, 2015-04-10 at 13:38 -0400, ira.weiny wrote:
> 
> 
> > > I think if we look closely we'll find that IPoIB today has a hard
> > > requirement on cap_sa being true, so lets use that?
> > 
> > I don't think that is appropriate.  You have been advocating that the checks
> > be clear as to what support we need.  While currently the IPoIB layer does (for
> > IB and OPA) require an SA I think those checks are only appropriate when it is
> > attempting an SA query.
> > 
> > The choice to run IPoIB at all is a different matter.
> 
> Appropriately named or not, Jason's choice of words "has a hard
> requirement" is correct ;-)

Agreed.  I meant that using "cap_sa" is not appropriate.  Not that IPoIB did
not have a hard requirement...  :-D

I actually think that _both_ the check for IB link layer and the "cap_sa" is
required.  Perhaps not at start up...

Ira